# Uses of Interface
javax.naming.directory.Attribute

Packages that use Attribute
Package
Description
javax.naming.directory
Extends the `javax.naming` package to provide functionality for accessing directory services.

## Uses of Attribute in javax.naming.directory

Classes in javax.naming.directory that implement Attribute
Modifier and Type
Class
Description
`class`
`BasicAttribute`
This class provides a basic implementation of the `Attribute` interface.
Methods in javax.naming.directory that return Attribute
Modifier and Type
Method
Description
`Attribute`
Attributes.`get(String attrID)`
Retrieves the attribute with the given attribute id from the attribute set.
`Attribute`
BasicAttributes.`get(String attrID)`
`Attribute`
ModificationItem.`getAttribute()`
Retrieves the attribute associated with this modification item.
`Attribute`
Attributes.`put(String attrID, Object val)`
Adds a new attribute to the attribute set.
`Attribute`
Attributes.`put(Attribute attr)`
Adds a new attribute to the attribute set.
`Attribute`
BasicAttributes.`put(String attrID, Object val)`
`Attribute`
BasicAttributes.`put(Attribute attr)`
`Attribute`
Attributes.`remove(String attrID)`
Removes the attribute with the attribute id 'attrID' from the attribute set.
`Attribute`
BasicAttributes.`remove(String attrID)`
Methods in javax.naming.directory that return types with arguments of type Attribute
Modifier and Type
Method
Description
`NamingEnumeration<? extends Attribute>`
Attributes.`getAll()`
Retrieves an enumeration of the attributes in the attribute set.
`NamingEnumeration<Attribute>`
BasicAttributes.`getAll()`
Methods in javax.naming.directory with parameters of type Attribute
Modifier and Type
Method
Description
`Attribute`
Attributes.`put(Attribute attr)`
Adds a new attribute to the attribute set.
`Attribute`
BasicAttributes.`put(Attribute attr)`
Constructors in javax.naming.directory with parameters of type Attribute
Modifier
Constructor
Description
``
`ModificationItem(int mod_op, Attribute attr)`
Creates a new instance of ModificationItem.